## net.sf.saxon.exslt
Class Sets

    java.lang.Object
      |
      +--net.sf.saxon.exslt.Sets

public abstract class Sets
extends java.lang.Object

This class implements extension functions in the http://exslt.org/sets namespace.

Method Summary
`static SequenceIterator` `difference(SequenceIterator p1, SequenceIterator p2)` Return the difference of two node-sets
`static SequenceIterator` `distinct(SequenceIterator in)` Given a node-set, return a subset that includes only nodes with distinct string-values
`static boolean` `hasSameNode(SequenceIterator p1, SequenceIterator p2)` Determine whether two node-sets contain at least one node in common
`static SequenceIterator` `intersection(SequenceIterator p1, SequenceIterator p2)` Return the intersection of two node-sets
`static SequenceIterator` `leading(XPathContext context, SequenceIterator ns1, SequenceIterator ns2)` Find all the nodes in ns1 that are before the first node in ns2.
`static SequenceIterator` `trailing(XPathContext c, SequenceIterator ns1, SequenceIterator ns2)` Find all the nodes in ns1 that are after the first node in ns2.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### intersection

    public static SequenceIterator intersection(SequenceIterator p1,
                                                SequenceIterator p2)
                                         throws XPathException

  Return the intersection of two node-sets

  Parameters:
    `p1` - The first node-set
    `p2` - The second node-set
  Returns:
    A node-set containing all nodes that are in both p1 and p2
    `XPathException`

### difference

    public static SequenceIterator difference(SequenceIterator p1,
                                              SequenceIterator p2)
                                       throws XPathException

  Return the difference of two node-sets

  Parameters:
    `p1` - The first node-set
    `p2` - The second node-set
  Returns:
    A node-set containing all nodes that are in p1 and not in p2
    `XPathException`

### hasSameNode

    public static boolean hasSameNode(SequenceIterator p1,
                                      SequenceIterator p2)
                               throws XPathException

  Determine whether two node-sets contain at least one node in common

  Parameters:
    `p1` - The first node-set
    `p2` - The second node-set
  Returns:
    true if p1 and p2 contain at least one node in common (i.e. if the intersection is not empty)
    `XPathException`

### distinct

    public static SequenceIterator distinct(SequenceIterator in)

  Given a node-set, return a subset that includes only nodes with distinct string-values

### leading

    public static SequenceIterator leading(XPathContext context,
                                           SequenceIterator ns1,
                                           SequenceIterator ns2)
                                    throws XPathException

  Find all the nodes in ns1 that are before the first node in ns2. Return empty set if ns2 is empty,

    `XPathException`

### trailing

    public static SequenceIterator trailing(XPathContext c,
                                            SequenceIterator ns1,
                                            SequenceIterator ns2)
                                     throws XPathException

  Find all the nodes in ns1 that are after the first node in ns2. Return empty set if ns2 is empty,

    `XPathException`